geos::simplify::TaggedLineString Class Reference

Contains and owns a list of TaggedLineSegments. More...

`#include <TaggedLineString.h>`

## Public Types

typedef std::vector< Coordinate > | CoordVect
typedef std::unique_ptr< CoordVect > | CoordVectPtr
typedef CoordinateSequence | CoordSeq
typedef std::unique_ptr< CoordinateSequence > | CoordSeqPtr

## Public Member Functions

| TaggedLineString (const geom::LineString *nParentLine, std::size_t minimumSize, bool bIsRing)
std::size_t | getMinimumSize () const
bool | isRing () const
const geom::LineString * | getParent () const
const CoordSeq * | getParentCoordinates () const
CoordSeqPtr | getResultCoordinates () const
const Coordinate & | getCoordinate (std::size_t i) const
std::size_t | size () const
const Coordinate & | getComponentPoint () const
std::size_t | getResultSize () const
TaggedLineSegment * | getSegment (std::size_t i)
const TaggedLineSegment * | getSegment (std::size_t i) const
std::vector< TaggedLineSegment * > & | getSegments ()
const std::vector< TaggedLineSegment * > & | getSegments () const
const std::vector< TaggedLineSegment * > & | getResultSegments () const
void | addToResult (std::unique_ptr< TaggedLineSegment > seg)
const TaggedLineSegment * | removeRingEndpoint ()
std::unique_ptr< geom::Geometry > | asLineString () const
std::unique_ptr< geom::Geometry > | asLinearRing () const

## Detailed Description

Contains and owns a list of TaggedLineSegments.

The documentation for this class was generated from the following file:

- TaggedLineString.h